<?php
/**
 * $JA#COPYRIGHT$
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// define this is grid view
define ('_IS_GRID_VIEW', true);

$app = JFactory::getApplication();
$tmpl = $app->getTemplate(true);
?>
<?php if($this->params->get('show_page_title')): ?>
<!-- Page title -->
<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>">
	<?php echo $this->escape($this->params->get('page_title')); ?>
</div>
<?php endif; ?>

<?php if($this->params->get('tagFeedIcon',1)): ?>
<!-- RSS feed icon -->
<div class="k2FeedIcon">
	<a href="<?php echo $this->feed; ?>" title="<?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?>">
		<span><?php echo JText::_('K2_SUBSCRIBE_TO_THIS_RSS_FEED'); ?></span>
	</a>
</div>
<?php endif; ?>

<?php if(count($this->items)): ?>
	<!-- Start K2 Tag Layout -->
	<div id="masonry-container" class="masonry clearfix">
	<?php 
		WallHelper::genCSPosition();
		
		foreach($this->items as $item): ?>
	<?php
	// get extra class from extra field of item
	
	$xclass = WallHelper::getExClass($item);
	
	//get image
	if($tmpl->params->get ('jawall_autoimg', 1)){
		WallHelper::buildK2Image($item);
	}
	
	if(empty($item->image) && $item->params->get('tagItemImage') && !empty($item->imageGeneric)){
		$item->image = $item->imageGeneric;
	}

	// build intro content
	// get some first paragraph in introtext, trip tags (keep a, strong, br, b...)
	$introtext = WallHelper::extractFirstParagraph($item->introtext);
	// add p tag
	$introtext = '<p>'.$introtext.'</p>';
	?>
	<div class="item <?php echo $xclass ?>">
		<div class="inner item-inner clearfix">
			<?php if(!empty($item->image)): ?>
			<!-- Item Image-->
			<div class="item-image">
				<a class="item-link" href="<?php echo $item->link; ?>" title="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>">
					<img src="<?php echo $item->image; ?>" alt="<?php if(!empty($item->image_caption)) echo K2HelperUtilities::cleanHtml($item->image_caption); else echo K2HelperUtilities::cleanHtml($item->title); ?>" />
					<span>&nbsp;</span>
				</a>
			</div>
			<!-- //Item Image-->
			<?php endif; ?>
			
			<!-- Item main -->
			<div class="item-main clearfix">
				<!-- Item header -->
				<div class="header item-header clearfix">
					<?php if($item->params->get('tagItemTitle',1)): ?>
					<!-- Item title -->
					<h2>
					<?php if ($item->params->get('tagItemTitleLinked',1)): ?>
						<a href="<?php echo $item->link; ?>">
						<?php echo $item->title; ?>
						</a>
					<?php else: ?>
						<?php echo $item->title; ?>
					<?php endif; ?>
					</h2>
					<?php endif; ?>
				  
					<dl class="article-info">
						<?php if($item->params->get('tagItemCategory')): ?>
						<!-- Item category name -->
						<dd class="category-name">
							<strong><?php echo JText::_('K2_WALL_PUBLISHED_IN'); ?>: </strong>
							<a href="<?php echo $item->category->link; ?>"><?php echo $item->category->name; ?></a>
						</dd>
						<?php endif; ?>

						<?php if($item->params->get('tagItemDateCreated',1)): ?>
						<!-- Date created -->
						<dd class="create">
							<strong><?php echo JText::_('K2_WALL_CREATED_DATE'); ?>: </strong>
							<?php echo JHTML::_('date', $item->created, JText::_('K2_WALL_DATE_FORMAT_LC2')); ?>
						</dd>
						<?php endif; ?>
					</dl>
				</div>
				<!-- //Item header -->
			
				<?php if($item->params->get('tagItemIntroText',1)): ?>
				<!-- Item content -->
				<div class="content item-content">
					<?php echo $introtext; ?>
				</div>
				<!-- //Item content -->
				<?php endif; ?>
				
				<!-- Item footer -->
				<div class="footer item-footer clearfix">
				
					<?php if ($item->params->get('tagItemReadMore')): ?>
					<p class="readmore">
						<a class="item-link" href="<?php echo $item->link; ?>">
							<?php echo JText::_('K2_READ_MORE'); ?>
						</a>
					</p>
					<?php endif; ?>
				</div>
				<!-- //Item footer -->
			</div>
			<!-- //Item main -->
		</div>
	</div>
	<?php endforeach; ?>
	</div>

	<!-- Pagination -->
	<?php
			// Build the additional URL parameters string.
			$urlparams = '';
			if (!empty($this->pagination->_additionalUrlParams))
			{
				foreach ($this->pagination->_additionalUrlParams as $key => $value)
				{
					$urlparams .= '&' . $key . '=' . $value;
				}
			}
			$next = $this->pagination->get('pages.current') * $this->pagination->limit;
			$nextlink = JRoute::_($urlparams . '&' . $this->pagination->prefix . 'limitstart=' . $next);
	?>
	<div id="page-nav">
		<a id="page-next-link" href="<?php echo $nextlink ?>"></a>
	</div>
	
	<!-- End K2 Tag Layout -->
<?php endif; ?>